Page MenuHomePhabricator

Investigation: Gather gadgets, extensions, and templates that might mess with category labels
Closed, ResolvedPublic

Description

If we change visible labels with the help of a hook or JS we should see what other extensions / gadgets could mess with what we are doing.

  • HotCat - JavaScript gadget, changes how categories are rendered and provides buttons to quickly manage (source)
  • CategoryTree - Provides a dynamic, collapsible tree for navigating categories. When the $wgCategoryTreeHijackPageCategories config is true, categories are rewritten on every page. It's set to false for Wikimedia wikis.
  • navbox - Template often used to construct category navigation.
  • MobileCategories - Performs an API call to get and display categories for a page. Only used for the mobile skin. (source)
  • Navigationsleiste - Doesn't interfere with categories, but has a similar problem. e.g. {{NaviBlock | Navigationsleiste Träger des Nobelpreises in Physik}}.

Event Timeline

awight renamed this task from Investigation: Gather gadgets/extensions that might mess with category labels to Investigation: Gather gadgets, extensions, and templates that might mess with category labels .Jul 13 2019, 5:43 PM
awight updated the task description. (Show Details)
awight added a subscriber: awight.Jul 15 2019, 9:27 AM

For Javascript tools like HotCat, we should think about providing the real, unaliased category name in a data attribute. Migrating the many versions of each tool sounds like an exciting project.

awight updated the task description. (Show Details)Jul 15 2019, 9:28 AM
awight updated the task description. (Show Details)Jul 15 2019, 12:01 PM
awight updated the task description. (Show Details)Jul 15 2019, 12:28 PM
awight updated the task description. (Show Details)Jul 15 2019, 1:35 PM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptJul 15 2019, 1:35 PM

I think this might be all? At least, I read through the list of Wikimedia extensions, looked at the gadgets for enwiki and dewiki, and spot-checked a few articles on dewiki to see if templates ever mess with categories.

Lea_WMDE closed this task as Resolved.Jul 25 2019, 1:47 PM
Lea_WMDE claimed this task.
Lea_WMDE moved this task from Demo to Done on the WMDE-QWERTY-Spike-2019-07-09 board.